#include "inclinationfactory.h"
#include "tocka.h"

using namespace ecosystem::data;

CInclinationFactory::CInclinationFactory(CTerrainData &terrainData) : terrainData(terrainData) {}

CInclinationFactory::~CInclinationFactory(void) {}

void CInclinationFactory::buildInclination() {
	/// index array of triangle vertices:
	drevo::Tocka *terrainNormals = terrainData.terrainNormals;
	int nrNormals = terrainData.stTockX * terrainData.stTockY;
	for (int i = 0; i < nrNormals; i++)
		terrainData.terrainInclination[i] = 1 - terrainNormals[i].y;
}//CInclinationFactory::buildInclination
