# Datoteko je ustvaril kdevelop-ov upravitelj qmake. 
# ------------------------------------------- 
# Podimenik, relativen glavnemu projektnemu imeniku: ./src/gui
# Cilj je program: ../../bin/ecomod

FORMS += mainwindow.ui \
         about.ui \
         help.ui \
         advancedtreeproperties.ui \
         distributiondesigner.ui \
         widget_graph.ui \
         ecosystemstatistics.ui \
         pixmapexportdialog.ui \
         navigationpanel.ui \
         plantarea.ui \
         randomgeneratorseedseditor.ui \
         skytextures.ui 
TRANSLATIONS += qdrevo_sl_SI.ts 
HEADERS += oglwidget.h \
           mainwindow.h \
           about.h \
           help.h \
           advancedtreeproperties.h \
           distributiondesigner.h \
           widgetgraph.h \
           hoverpoints.h \
           ecosystemstatistics.h \
           filehandler.h \
           pixmapexportdialog.h \
           timekeeper.h \
           designhandler.h \
           viewhandler.h \
           navigationhandler.h \
           navigationpanel.h \
           plantarea.h \
           randomgeneratorseedseditor.h \
           skytextures.h 
SOURCES += main.cpp \
           oglwidget.cpp \
           mainwindow.cpp \
           about.cpp \
           help.cpp \
           advancedtreeproperties.cpp \
           distributiondesigner.cpp \
           widgetgraph.cpp \
           hoverpoints.cpp \
           ecosystemstatistics.cpp \
           filehandler.cpp \
           pixmapexportdialog.cpp \
           timekeeper.cpp \
           designhandler.cpp \
           viewhandler.cpp \
           navigationhandler.cpp \
           navigationpanel.cpp \
           plantarea.cpp \
           randomgeneratorseedseditor.cpp \
           skytextures.cpp 
RESOURCES = resource.qrc
QT += opengl
TARGETDEPS += ../../src/ecosystem/libecosystem.a \
../../src/drevo/libdrevo.a \
../../src/libs/liblibs.a
LIBS += ../../src/ecosystem/libecosystem.a \
../../src/drevo/libdrevo.a \
../../src/libs/liblibs.a
INCLUDEPATH += ../../src/ecosystem \
../../src/drevo
TARGET = ../../bin/ecomod
CONFIG += release \
warn_on \
qt \
thread
TEMPLATE = app
