/***************************************************************************
*   Copyright (C) 2006 by Ales Zamuda                                     *
*   ales.zamuda@uni-mb.si                                                 *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#include "matrika.h"

using namespace drevo;

Matrika::Matrika() {}

Matrika::~Matrika() {}

void Matrika::operator*=( const float &skalar ) {
	a11 *= skalar;
	a12 *= skalar;
	a13 *= skalar;
	a14 *= skalar;
	a21 *= skalar;
	a22 *= skalar;
	a23 *= skalar;
	a24 *= skalar;
	a31 *= skalar;
	a32 *= skalar;
	a33 *= skalar;
	a34 *= skalar;
} //operator*=
