# Datoteko je ustvaril kdevelop-ov upravitelj qmake. 
# ------------------------------------------- 
# Podimenik, relativen glavnemu projektnemu imeniku: ./src/ecosystem
# Cilj je knji?nica: 

HEADERS += render/ecosystemrender.h \
           render/levelofdetail.h \
           render/objectculling.h \
           simulation/ecosystemsimulation.h \
           simulation/lifefactors.h \
           simulation/sejaleckjerkolirastlinnateren.h \
           simulation/sejalecrastlinnateren.h \
           simulation/randomgenerator.h \
           simulation/data/ecosystemsimulationfactory.h \
           simulation/data/inclinationfactory.h \
           simulation/data/rainfactory.h \
           simulation/data/sunfactory.h \
           simulation/data/terraindata.h \
           simulation/data/terrainnormalsfactory.h \
           simulation/data/windfactory.h \
           simulation/entities/pogoj.h \
           simulation/entities/rastlina.h \
           simulation/entities/vrstarastlin.h \
           simulation/statistics/entitiesstatistics.h \
           tocka2i.h \
           render/camera.h \
           render/terrain.h \
           render/terrainmarkings.h \
           simulation/data/heighmapfactory.h \
           render/sky.h
SOURCES += render/ecosystemrender.cpp \
           render/levelofdetail.cpp \
           render/objectculling.cpp \
           simulation/ecosystemsimulation.cpp \
           simulation/lifefactors.cpp \
           simulation/sejaleckjerkolirastlinnateren.cpp \
           simulation/sejalecrastlinnateren.cpp \
           simulation/randomgenerator.cpp \
           simulation/data/ecosystemsimulationfactory.cpp \
           simulation/data/inclinationfactory.cpp \
           simulation/data/rainfactory.cpp \
           simulation/data/sunfactory.cpp \
           simulation/data/terraindata.cpp \
           simulation/data/terrainnormalsfactory.cpp \
           simulation/data/windfactory.cpp \
           simulation/entities/pogoj.cpp \
           simulation/entities/rastlina.cpp \
           simulation/entities/vrstarastlin.cpp \
           simulation/statistics/entitiesstatistics.cpp \
           simulation/../../drevo/tocka.cpp \
           simulation/../../drevo/matrika.cpp \
           tocka2i.cpp \
           render/camera.cpp \
           render/terrain.cpp \
           render/terrainmarkings.cpp \
           simulation/data/heighmapfactory.cpp \
           render/sky.cpp
QT += opengl
DEPENDPATH = .
INCLUDEPATH += ../../src/drevo \
../../src/libs \
. \
render \
simulation \
simulation/data \
simulation/entities \
simulation/statistics
CONFIG += release \
warn_on \
staticlib
TEMPLATE = lib
