#include "levelofdetail.h"
#ifdef _WIN32
#define _USE_MATH_DEFINES
#endif
#include <math.h>

using namespace ecosystem::render;

void CLevelOfDetail::setCameraPosition(drevo::Tocka &cameraPosition) {
	this->cameraPosition = cameraPosition;
}//CLevelOfDetail::setCameraPosition

int CLevelOfDetail::getLODcase(const drevo::Tocka& objectPosition) const {
	drevo::Tocka diff = cameraPosition - objectPosition;
	float d = diff.dolzina();
	int lod = (int)sqrt(d/5);//max(600m)=10
	if (lod>9)
		lod=9;

	return lod;
}//CLevelOfDetail::getLODcase
