/***************************************************************************
*   Copyright (C) 2006 by Ales Zamuda                                     *
*   ales.zamuda@uni-mb.si                                                 *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#ifndef ECOSYSTEMTOCKA2I_H
#define ECOSYSTEMTOCKA2I_H

namespace ecosystem {

	/**
	 * @author Ales Zamuda <ales.zamuda@uni-mb.si>
	*/
	class Tocka2i {
	public:
		/**
		 * Kreira točko za opis indeksa krpe, ne inicializira.
		 * @return
		 */
		Tocka2i();

		~Tocka2i();
	public:
		/**
		 * X oziroma i indeks.
		 */
		int x;
		/**
		 * Y oziroma Z oziroma j indeks.
		 */
		int y;
	};

}

#endif
