/***************************************************************************
*   Copyright (C) 2006 by Ales Zamuda                                     *
*   ales.zamuda@uni-mb.si                                                 *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#ifndef HELP_H
#define HELP_H

#include "ui_help.h"

namespace gui {
	/**
	 * Objekt za klicanje dialoga pomoči (navodila za uporabo programa)
	 * @author Ales Zamuda <ales.zamuda@uni-mb.si>
	*/
	class Help: public QDialog, private Ui::Help {
		Q_OBJECT
	public:
		/**
		 * Kreira objekt za prikazovanje dialoga pomoči, ki opiše menuje programa.
		 * @param parent očetovski objekt
		 */
		Help( QWidget *parent = 0 );
	};
}

#endif
